libphat-dev_0.4.1-5_amd64.deb


Advertisement

Description

libphat-dev - Development files (headers) for libphat

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Main amd64
Package name libphat-dev
Package version 0.4.1
Package release 5
Package architecture amd64
Package type deb
Installed size 70 B
Download size 11.37 KB
Official Mirror ftp.br.debian.org
phat is a collection of gtk widgets geared towards audio apps
Audio applications demand a set of special widgets of its own
which phat aims to provide. The first widget being the "fanslider",
a mix between the button and the slider metaphores, providing the
user a more precise graphical input method.
This package contains the headers used to build applications
that use phat widget collection.

Alternatives

Package Version Architecture Repository
libphat-dev_0.4.1-5_i386.deb 0.4.1 i386 Debian Main
libphat-dev - - -

Requires

Name Value
libgnomecanvas2-dev -
libphat0 = 0.4.1-5

Provides

Name Value
libphat0-dev -

Replaces

Name Value
libphat0-dev <= 0.4.1-2

Download

Type URL
Binary Package libphat-dev_0.4.1-5_amd64.deb
Source Package phat

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libphat-dev deb package:
    # sudo apt-get install libphat-dev

Files

Path
/usr/include/phat/phat.h
/usr/include/phat/phatfanslider.h
/usr/include/phat/phathfanslider.h
/usr/include/phat/phathkeyboard.h
/usr/include/phat/phatkeyboard.h
/usr/include/phat/phatknob.h
/usr/include/phat/phatpad.h
/usr/include/phat/phatsliderbutton.h
/usr/include/phat/phatvfanslider.h
/usr/include/phat/phatvkeyboard.h
/usr/lib/x86_64-linux-gnu/libphat.so
/usr/lib/x86_64-linux-gnu/pkgconfig/phat.pc
/usr/share/doc/libphat-dev/BUGS
/usr/share/doc/libphat-dev/NEWS.gz
/usr/share/doc/libphat-dev/README
/usr/share/doc/libphat-dev/TODO
/usr/share/doc/libphat-dev/changelog.Debian.gz
/usr/share/doc/libphat-dev/changelog.gz
/usr/share/doc/libphat-dev/copyright

Changelog

2012-02-14 - Alessio Treglia <alessio@debian.org>
phat (0.4.1-5) unstable; urgency=low
* Depends on libgnomecanvas2-dev. (Closes: #659910)
* Update copyright file.
* Bump debhelper requirement to be >= 9
2012-01-16 - Alessio Treglia <alessio@debian.org>
phat (0.4.1-4) unstable; urgency=low
* Introduce Multi-Arch.
* Append --enable-debug to configure's options.
2011-05-08 - Alessio Treglia <alessio@debian.org>
phat (0.4.1-3) unstable; urgency=low
* Switch to dh-autoreconf.
* Strip the SONAME out of the -DEV's runtime name:
- libphat-dev is now built and Provides libphat0-dev.
* debian/patches/01-binutils_gold.patch:
- Add patches to phat/Makefile.am since autoreconf is called now.
* debian/patches/02-gcc46_ftbfs.patch:
- Get rid of -Werror compilation flag to avoid build failure with
GCC4.6 (Closes: #625403).
* Update Standards-Version.
2011-02-24 - Alessio Treglia <alessio@debian.org>
phat (0.4.1-2) unstable; urgency=low
[ Jaromír Mikeš ]
* New maintainer (Closes: #391134).
* Set compat file to 7.
* Set pkg-multimedia-maintainers as maintainer and me as uploader
* Vcs-* fields added
* one_space_style applied to control file.
* Bump Standards
* Switch to DH 7 short-form.
* added .gitignore file
* added gbp.conf file
* added local-options file
* switched to source format 3.0 (quilt)
* removed *.a and *.la files
* Updated copyright file to DEP-5 rev.166
* libphat-tools.manpages file added
* Description in control file fixed
* bringing back rpath_issue fix
* Switching from Conflicts to Breaks in libphat-tools binary package
* Fix descriptions a bit.
* Add symbols file.
* Add autotools_dev addon support.
* Fixed libphat-tools.install file to install files in same way as
.previous version
* Fixed watch file
* Removed redundant override_dh_installchangelogs
[ Alessio Treglia ]
* Use dh $@ --with foo syntax for compatibility with DH 8.
* debian/control:
- Small improvement to libphat0-dev's description.
- Add myself to the Uploaders field.
- Remove trailing whitespaces.
* Add patch to prevent FTBFS with binutils-gold (Closes: #556060).
2009-05-05 - Barry deFreese <bdefreese@debian.org>
phat (0.4.1-1) unstable; urgency=low
* QA Upload.
+ Take packaging from Ubuntu.  Thanks to Julien Lavergne.
[ Julien Lavergne ]
* New upstream release (LP: #307856). (Closes: #381026).
* Bump debhelper version to 6.
* Bump Standards-Version to 3.8.0.
* Remove dirs files.
* Rename libphat0-dev.links to libphat-tools.links
* debian/control
- Add a libphat-tools binary to ship pixmaps and binaries programs.
- Add Replaces/Conflicts for libphat-tools to libphat0-dev.
- Change ${Source-Version} to ${binary:Version} to conform 3.8.0.
- Add ${misc:Depends}.
- Add gtk-doc-tools as Build-Depends for the documentation.
- Add chrpath as Build-Depends to remove RPATH.	
- Wrap Build-Depends.
- Add a Homepage.
- Add section in source.
- Change maintainer field to Ubuntu MOTU Developers.
* debian/rules
- Don't ignore errors in distclean.
- Remove RPATH with chrpath.
- Install man page in libphat-tools.
* debian/watch
- Update to new location. (Closes: #450056).
* debian/copyright
- Update Copyright. 
- Update Upstream Authors.
* debian/phat.1
- Update with new binaries.
[ Barry deFreese ]
* Add symlinks for devhelp files in libphat-tools package.
* Add Suggests for libphat-tools to libphat0 binary package.
* Remove libphat0-dev.links file. (No need for man pages in this package).
* Bump Standards Version to 3.8.1. (No changes needed).
2006-10-19 - Thijs Kinkhorst <thijs@debian.org>
phat (0.3.1-3) unstable; urgency=high
* QA upload.
* Fix build failure by reverting docs/html removal
on clean; it's not necessary (Closes: #393973).

See Also

Package Description
libphat-tools_0.4.1-5_amd64.deb collection of tools for libphat
libphat0_0.4.1-5_amd64.deb collection of gtk widgets geared towards audio apps
libphobos-4.4-dev_1.063-4.4.7-1_amd64.deb Phobos D standard library
libphobos2-4.6-dev_0.29.1-4.6.3-2_amd64.deb Phobos D standard library
libphone-ui-20110825_0.0.1+git20110825-3_amd64.deb SHR library for user interface
libphone-ui-common_0.0.1+git20110825-3_all.deb SHR library for user interface (configuration files)
libphone-ui-dev_0.0.1+git20110825-3_amd64.deb SHR library for user interface (development files)
libphone-ui-shr-data_0.1+git20110827-3+b1_amd64.deb SHR library for user interface, EFL backend (data files)
libphone-ui-shr_0.1+git20110827-3+b1_amd64.deb SHR library for user interface, EFL backend
libphone-utils-dev_0.1+git20110523-2.1_amd64.deb library for basic phone operations - development files
libphone-utils0_0.1+git20110523-2.1_amd64.deb library for basic phone operations
libphonon-dev_4.6.0.0-3_amd64.deb multimedia framework from KDE - development files
libphonon4_4.6.0.0-3_amd64.deb multimedia framework from KDE - core library
libphononexperimental-dev_4.6.0.0-3_amd64.deb multimedia framework from KDE - experimental development files
libphononexperimental4_4.6.0.0-3_amd64.deb multimedia framework from KDE - experimental library (internal)
Advertisement
Advertisement